Subject: Re: [Bitcoin-development] Is SourceForge still trustworthy enough to host this list?

From: Jeff Garzik <[email-masked]>
Date: Wed, 10 Jun 2015 12:54:25 -0700

On Wed, Jun 10, 2015 at 11:59 AM, Andy Schroder <[email-masked]>
wrote:

>  Hello,
>
> A couple of motivations for a mailing list switch:
>
>    1. Sometimes the mailing list delays delivery for 10 minutes to
>    several days.
>    2. There are usually lots of ads at the footer of the messages. Really
>    confuses new readers (for me at least), and seems like it really pollutes
>    such a historical dialog that may be referenced long into the future. How
>    would it be if the 10 Commandments, Magna Carta, Bill of Rights, The Sermon
>    on the Mount, or The Gettysburg Address had ads intertwined within them?
>     3. Don't think HTML messages are allowed.
>    4. Seems like digital signatures are always broken on messages because
>    the list server slightly modifies them (?), so my e-mail client doesn't
>    verify them all.
>
> Not only -- mail header rewrites cause all my emails to go into people's
spam folders, if they were not directly listed in the To/CC headers...

>
>    1.
>
>
>
> Andy Schroder
>
> On 06/10/2015 02:36 PM, s7r wrote:
>
> The mail list is public, so it's not like the data on it is somehow
> sensitive. Sourcefoge is fine, it has a nice web UI where you can browse
> the message and sort/order them as you want, etc.
>
> Why would you want to move to a paid solution? And why would you want
> users to have to pay per message? This is the worst idea ever from my
> point of view. We want to encourage people to join the community, run
> full nodes, ask questions, come with solutions, ideas for improvements
> and so on. Everyone should read and write and contribute as much as
> possible with ideas in debates. You never know who can have bright ideas
> in some contexts.
>
> Bottom line is so far sourceforge handles the mail lists just fine. I
> don't see a single advantage another mail list provider / system could
> offer, except some headache and extra work for migration. The software
> distribution via sourcefoge was cancelled for obvious reasons which I
> fully understand and agree to, but it has nothing to do with the mail
> lists. We have way more important things to brainstorm about.
>
> On 6/10/2015 7:46 PM, Andy Schroder wrote:
>
>  Regarding changing the e-mail list provider. Is anyone interested in
> sponsoring it? There are non-free options, but it may be difficult to
> always ensure the fee is being paid to the provider. I think finding an
> agreeable free solution may have been the issue before? I've also
> thought of trying to make a pay per message or byte solution (and this
> cost could be dynamic based upon the number of current mailing list
> subscribers). This could solve the who pays problem (the sender pays),
> as well as motivate people to be more concise and clear with their
> messages, and at the same time limit spam.
>
>
>
> Any thoughts?
>
> Andy Schroder
>
> On 06/10/2015 05:35 AM, Wladimir J. van der Laan wrote:
>
>  On Wed, Jun 10, 2015 at 10:25:12AM +0200, xor wrote:
>
>  http://www.howtogeek.com/218764/warning-don%E2%80%99t-download-software-from-sourceforge-if-you-can-help-it/
>
>  All our downloads (even old ones) have recently been deleted from sourceforge, for this reason. They haven't been mentioned in Bitcon Core release announcements for a long time.
>
> No opinion on the mailing list. Though I think it's less urgent. The issue of moving the mailinglist has come up before a few times and people can't agree where to move to.
>
> Wladimir
>
>
> ------------------------------------------------------------------------------
>
>  ------------------------------------------------------------------------------
> _______________________________________________
> Bitcoin-development mailing [email-masked]://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
>
>
> ------------------------------------------------------------------------------
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/